#
%define		_state		stable
%define		orgname		ark
%define		qtver		4.8.1

Summary:	K Desktop Environment - archive manager
Name:		kde4-ark
Version:	4.9.0
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	cf438f95d83497cf39fe5e491f4792aa
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel >= %{version}
Requires:	kde4-kdebase-workspace >= %{version}
Requires:	kde4-kdebase-workspace >= %{version}
Requires:	libarchive
Requires:	libzip
Obsoletes:	kde4-kdeutils-ark
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ark is a program for managing and quickly extracting archives. It
supports arj, rar, zip, tar, zoo, lha and other formats.

%description -l pl.UTF-8
Ark jest programem służącym do zarządzania i szybkiego rozpakowywania
archiwów. Obsługuje archiwa arj, rar, zip, tar, zoo, lha oraz inne
formaty.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ark
%attr(755,root,root) %{_libdir}/kde4/arkpart.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clilha.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libarchive.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libgz.so
%attr(755,root,root) %ghost %{_libdir}/libkerfuffle.so.?
%attr(755,root,root) %{_libdir}/libkerfuffle.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_cli7z.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clirar.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clizip.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libbz2.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libxz.so
%attr(755,root,root) %{_libdir}/kde4/libextracthere.so
%{_datadir}/apps/ark
%{_datadir}/kde4/servicetypes/kerfufflePlugin.desktop
%{_datadir}/kde4/services/ark_part.desktop
%{_datadir}/kde4/services/kerfuffle_libarchive.desktop
%{_datadir}/kde4/services/kerfuffle_libgz.desktop
%{_datadir}/kde4/services/ark_dndextract.desktop
%{_datadir}/kde4/services/kerfuffle_cli7z.desktop
%{_datadir}/kde4/services/kerfuffle_clilha.desktop
%{_datadir}/kde4/services/kerfuffle_clirar.desktop
%{_datadir}/kde4/services/kerfuffle_clizip.desktop
%{_datadir}/kde4/services/kerfuffle_libarchive_readonly.desktop
%{_datadir}/kde4/services/kerfuffle_libbz2.desktop
%{_datadir}/kde4/services/kerfuffle_libxz.desktop
%{_datadir}/kde4/services/ServiceMenus/ark_addtoservicemenu.desktop
%{_datadir}/kde4/services/ServiceMenus/ark_servicemenu.desktop
%{_datadir}/config.kcfg/ark.kcfg
%{_desktopdir}/kde4/ark.desktop
%{_iconsdir}/hicolor/*x*/apps/ark.png
%{_mandir}/man1/ark.1.*
%changelog
* Mon Aug 27 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-ark.git;a=log;h=master

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 970d2dc
- release 2 (by relup.sh)

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d2abcf5
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f877708
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b7166b
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ba82994
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e612fb7
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cf6d290
- up to 4.8.1

* Tue Jan 24 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 297adab
- rel 2; new tarball

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e6fa90d
- initial

